package danielcortes.xyz.controllers.actions;

import java.awt.event.ActionEvent;
import java.beans.PropertyChangeListener;
import javax.swing.Action;

public interface BasicAction extends Action {

  @Override
  default Object getValue(String key) {
    return null;
  }

  @Override
  default void putValue(String key, Object value) {
  }

  @Override
  default boolean isEnabled() {
    return true;
  }

  @Override
  default void setEnabled(boolean b) {
  }

  @Override
  default void addPropertyChangeListener(PropertyChangeListener listener) {
  }

  @Override
  default void removePropertyChangeListener(PropertyChangeListener listener) {
  }

  void actionPerformed(ActionEvent e);
}
